package tutorialJava.examenes.examen20250131_2.ejercicioB_Excepcion;

public class Persona {

	private int edad;

	public Persona(int edad) throws EdadNegativaException {
		super();
		this.edad = edad;
		
		if (this.edad < 0) {
			throw new EdadNegativaException("La edad " + edad + " es negativa");
		}
	}

	public int getEdad() {
		return edad;
	}

	public void setEdad(int edad) {
		this.edad = edad;
	}

	@Override
	public String toString() {
		return "Persona [edad=" + edad + "]";
	}
	
	
}
